Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

Repo hinzufügen mit add-apt-repository schlägt fehlt

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
tiny
Newbie
Newbie
Beiträge: 21
Registriert: 3. Sep 2020, 10:43

Repo hinzufügen mit add-apt-repository schlägt fehlt

Beitrag von tiny »

Hallo,

ich habe hier ein komplett neu installiertes Xubuntu 20.04 mit allen Updates. Ich wollte ein Repo hinzufügen und bekomme die Fehlermeldung siehe unten. Das passiert bei jedem Repo. Ein parallel installiertes, älteres 20.04 hat das Problem nicht (beide stammen vom gleichen Install-Image). Ich weiß, dass ich die Repos auch manuell einfügen kann, das löst aber das Problem nicht. Da es alle Repos betrifft vermute ich kein Problem mit Keys. Auch 'sudo apt install --reinstall software-properties-common' hab ich schon versucht. Installierte Python-Version ist 3.8.10.

Code: Alles auswählen

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 380, in get_ppa_info
    ret = get_ppa_info_from_lp(user, ppa)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 110, in get_ppa_info_from_lp
    return get_info_from_lp(lp_url)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 104, in get_info_from_lp
    return get_info_from_https(lp_url, True)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 96, in get_info_from_https
    data = func(lp_url=url, accept_json=accept_json, retry_delays=retry_delays)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 138, in _get_https_content_py3
    lp_page = urllib.request.urlopen(request,
  File "/usr/lib/python3.8/urllib/request.py", line 210, in urlopen
    context = ssl.create_default_context(ssl.Purpose.SERVER_AUTH,
  File "/usr/lib/python3.8/ssl.py", line 745, in create_default_context
    context.load_verify_locations(cafile, capath, cadata)
ssl.SSLError: [X509: NO_CERTIFICATE_OR_CRL_FOUND] no certificate or crl found (_ssl.c:4296)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/add-apt-repository", line 137, in <module>
    shortcut = shortcut_handler(line)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 884, in shortcut_handler
    ret = factory(shortcut)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 469, in shortcut_handler
    return PPAShortcutHandler(shortcut)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 426, in __init__
    info = get_ppa_info(self.shortcut)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 392, in get_ppa_info
    _get_suggested_ppa_message(user, ppa))
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 349, in _get_suggested_ppa_message
    lp_user = get_info_from_lp(LAUNCHPAD_USER_API % user)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 104, in get_info_from_lp
    return get_info_from_https(lp_url, True)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 96, in get_info_from_https
    data = func(lp_url=url, accept_json=accept_json, retry_delays=retry_delays)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 138, in _get_https_content_py3
    lp_page = urllib.request.urlopen(request,
  File "/usr/lib/python3.8/urllib/request.py", line 210, in urlopen
    context = ssl.create_default_context(ssl.Purpose.SERVER_AUTH,
  File "/usr/lib/python3.8/ssl.py", line 745, in create_default_context
    context.load_verify_locations(cafile, capath, cadata)
ssl.SSLError: [X509: NO_CERTIFICATE_OR_CRL_FOUND] no certificate or crl found (_ssl.c:4296)
Benutzeravatar
HPF-84E
Member
Member
Beiträge: 61
Registriert: 8. Dez 2018, 20:45

Re: Repo hinzufügen mit add-apt-repository schlägt fehlt

Beitrag von HPF-84E »

Hi,
ubuntu ist schon ein paar Tage her wo ich das installiert hatte. War aber lange zufrieden damit. ;)

PPAs sind grundsätzlich mit Vorsicht zu genießen. Ob du unbedingt diese Pythonversion benötigst hast du leider nicht kommuniziert.

Wenn nur ein Repo fehlerhaft ist laufen auch alle anderen nicht durch. Es wird ja das Zertifikat bemängelt das offensichtlich nicht in Ordnung ist. Ist so halt.
Um der Sache auf die Schliche zu kommen. Wir machen keine Änderungen sondern deaktivieren vorübergehend dein PPA.
Mit Rootrechten also Sudo:

Code: Alles auswählen

nano /etc/apt/sources.list
Dort dein PPA mit 2 Rauten (##) am Anfang der Zeile auskommentieren.
Speichern mit Strg+O, mit ENTER bestätigen und nano schließen mit Strg+X.
Danach mit Rootrechten wieder ein

Code: Alles auswählen

apt-get update
Dann sollte der Updateprozess durchlaufen. Danach müssen wir üerleegen ob das die richtige ppa war und/oder es Alternativen gibt.

Bearbeitet: „ Mit Enter bestätigen hinzugefügt"
tiny
Newbie
Newbie
Beiträge: 21
Registriert: 3. Sep 2020, 10:43

Re: Repo hinzufügen mit add-apt-repository schlägt fehlt

Beitrag von tiny »

Das ist die Python-version die standardmäßig installiert ist.

Es wurde kein ppa installiert, genau das soll ja erst gemacht werden. Das system ist komplett neu nur mit den standard-repos. Ich kann kein ppa hinzufügen. Das Problem scheint eher bei add-apt-repo zu liegen und nicht beim ppa.

Die Fehlermeldung deutet auf ein python-problem hin, ich beherrsche das aber nicht.
marce
Advanced Hacker
Advanced Hacker
Beiträge: 1383
Registriert: 19. Jun 2008, 13:16
Wohnort: Dettenhausen
Kontaktdaten:

Re: Repo hinzufügen mit add-apt-repository schlägt fehlt

Beitrag von marce »

Google meint, Du könntest mal probieren, was in https://askubuntu.com/questions/897560/ ... -ssl-c3053 steht...
Antworten